
softwareName = "The Setup Machine 3"

earliestSupportedMayaVersion = 2014

# List of subdirectories that must both exist within the InstallerData hierarchy and contain files to install:
requiredInstallationDirectories = ['site-packages', 'plug-ins']

# Versions of Maya Python this installer supports
supportedMayaPythonVersions = ['2.7']

installerReadMeMessage = """Now that The Setup Machine 3 is installed, you'll need to tell Maya to load it by following these steps:

1) Run Maya.

2) Go to the Windows menu. Choose Settings/Preferences, then Plug-in Manager.

3) Find "TSM3.py" in the plug-ins list. While the list is usually in alphabetical order, Maya often sorts python plug-ins (plug-ins whose file names end in '.py') to the end of the list, so you may need to scroll down and check to the end of the list to find it.

4) Click the "loaded" and "auto load" checkboxes next to "TSM3.py"

5) Enter your serial number when prompted. You should receive your serial number within one business day of your order. If not, please contact sales@anzovin.com.

A menu for TSM3 should appear.  For more information on using The Setup Machine 3, please consult the manual. Selecting the "The Setup Machine 3 Manual..." menu item from the TSM3 "Help" menu will open a local copy of the manual. You will need a PDF reader installed to read the manual.

If you are unable to install or load The Setup Machine 3, please contact support@anzovin.com for assistance."""
